org.jenkinsci.maven.plugins.hpi

## Class AbstractJetty6Mojo

- java.lang.Object
- - org.apache.maven.plugin.AbstractMojo
  - - org.jenkinsci.maven.plugins.hpi.AbstractJettyMojo
    - - org.jenkinsci.maven.plugins.hpi.AbstractJetty6Mojo

All Implemented Interfaces:
  org.apache.maven.plugin.ContextEnabled, org.apache.maven.plugin.Mojo

Direct Known Subclasses:
  RunMojo

    public abstract class AbstractJetty6Mojo
    extends AbstractJettyMojo

DO NOT MODIFY. Copied verbatim from Jetty code, just so that Maven's qdox can find all the injection points. All the changes should go to `RunMojo`.

### Field Summary

### Fields inherited from class org.jenkinsci.maven.plugins.hpi.AbstractJettyMojo

`PORT_SYSPROPERTY`

### Fields inherited from interface org.apache.maven.plugin.Mojo

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`AbstractJetty6Mojo()`

### Method Summary

Methods
`void` `applyJettyXml()`
`JettyPluginServer` `createServer()` create a proxy that wraps a particular jetty version Server object
`java.lang.Object[]` `getConfiguredConnectors()`
`java.lang.Object` `getConfiguredRequestLog()`
`java.lang.Object[]` `getConfiguredUserRealms()`

### Methods inherited from class org.jenkinsci.maven.plugins.hpi.AbstractJettyMojo

`checkPomConfiguration, configureScanner, configureWebApplication, execute, findJettyWebXmlFile, finishConfigurationBeforeStart, getContextPath, getDefaultHttpPort, getJettyXmlFileName, getProject, getScanIntervalSeconds, getScanList, getScannerListeners, getServer, getSystemProperties, getTmpDirectory, getWebApplication, getWebDefaultXml, setScanList, setScannerListeners, setServer, setWebApplication, startJetty, startScanner`

### Methods inherited from class org.apache.maven.plugin.AbstractMojo

`getLog, getPluginContext, setLog, setPluginContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AbstractJetty6Mojo

    public AbstractJetty6Mojo()

### Method Detail

#### getConfiguredUserRealms

    public java.lang.Object[] getConfiguredUserRealms()

Specified by:
  `getConfiguredUserRealms` in class `AbstractJettyMojo`
Returns:
  Returns the realms configured in the pom
See Also:
  `org.mortbay.jetty.plugin.AbstractJettyMojo#getConfiguredUserRealms()`

#### getConfiguredConnectors

    public java.lang.Object[] getConfiguredConnectors()

Specified by:
  `getConfiguredConnectors` in class `AbstractJettyMojo`
Returns:
  Returns the connectors configured in the pom
See Also:
  `org.mortbay.jetty.plugin.AbstractJettyMojo#getConfiguredConnectors()`

#### getConfiguredRequestLog

    public java.lang.Object getConfiguredRequestLog()

Specified by:
  `getConfiguredRequestLog` in class `AbstractJettyMojo`

#### applyJettyXml

    public void applyJettyXml()
                       throws java.lang.Exception

Specified by:
  `applyJettyXml` in class `AbstractJettyMojo`
Throws:
  `java.lang.Exception`

#### createServer

    public JettyPluginServer createServer()
                                   throws java.lang.Exception

Description copied from class: `AbstractJettyMojo`
create a proxy that wraps a particular jetty version Server object

Specified by:
  `createServer` in class `AbstractJettyMojo`
Returns:
Throws:
  `java.lang.Exception`
See Also:
  `org.mortbay.jetty.plugin.AbstractJettyMojo#createServer()`